Update CNAME Settings
update stream cname setting
curl -X POST "https://api.5centscdn.com/v2/streams/settings/cname" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"cname": "docs.example.com",
"certid": "S"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/cname"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"cname": "docs.example.com",
"certid": "S"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/cname", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"cname": "docs.example.com",
"certid": "S"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"cname": "docs.example.com",
"certid": "S"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/cname", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/cname')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"cname": "docs.example.com",
"certid": "S"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Settings Updated. Please wait till the deployment completes."
}
POST
/streams/settings/cname
POST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
cnamestring
Name that points to actual record.
certidstring
value should be S or L
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Body
application/json
Responses
resultstring
Status of the API response.
messagestring
Human-readable message describing the result.
Was this page helpful?